 public class point extends shape
{   protected double x, y;
    public point(double a, double b)
    {  x=a;y=b;}
    public void enterpoint(double a, double b)
    {x=a;y=b;}
    public double read_x()
    {return x;}
    public double read_y()
    {return y;}
    public String toString()
    {return "["+x+","+y+"]";}
    public String name() {return "point";}
}
